// @ts-ignore
/* eslint-disable */
import request from '@/request/http'

/** 修改 修改UpdateVO中不为空的字段 PUT /baseDictItem */
export async function update8(body: API.BaseDictItemUpdateVO, options?: { [key: string]: any }) {
  return request<API.RBaseDict>(`/base/baseDictItem`, {
    method: 'PUT',
    headers: {
      'Content-Type': 'application/json'
    },
    data: body,
    ...(options || {})
  })
}

/** 新增 POST /baseDictItem */
export async function save8(body: API.BaseDictItemSaveVO, options?: { [key: string]: any }) {
  return request<API.RBaseDict>(`/base/baseDictItem`, {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json'
    },
    data: body,
    ...(options || {})
  })
}

/** 删除 DELETE /baseDictItem */
export async function delete9(body: number[], options?: { [key: string]: any }) {
  return request<API.RBoolean>(`/base/baseDictItem`, {
    method: 'DELETE',
    headers: {
      'Content-Type': 'application/json'
    },
    data: body,
    ...(options || {})
  })
}

/** 单体查询 单体查询 GET /baseDictItem/${param0} */
export async function get8(
  // 叠加生成的Param类型 (非body参数swagger默认没有生成对象)
  params: API.get8Params,
  options?: { [key: string]: any }
) {
  const { id: param0, ...queryParams } = params
  return request<API.RBaseDictItemResultVO>(`/base/baseDictItem/${param0}`, {
    method: 'GET',
    params: { ...queryParams },
    ...(options || {})
  })
}

/** 检测字典项标识是否可用 检测字典项标识是否可用 GET /baseDictItem/check */
export async function check3(
  // 叠加生成的Param类型 (非body参数swagger默认没有生成对象)
  params: API.check3Params,
  options?: { [key: string]: any }
) {
  return request<API.RBoolean>(`/base/baseDictItem/check`, {
    method: 'GET',
    params: {
      ...params
    },
    ...(options || {})
  })
}

/** 复制 POST /baseDictItem/copy */
export async function copy7(
  // 叠加生成的Param类型 (非body参数swagger默认没有生成对象)
  params: API.copy7Params,
  options?: { [key: string]: any }
) {
  return request<API.RBaseDict>(`/base/baseDictItem/copy`, {
    method: 'POST',
    params: {
      ...params
    },
    ...(options || {})
  })
}

/** 查询单体详情 GET /baseDictItem/detail */
export async function getDetail8(
  // 叠加生成的Param类型 (非body参数swagger默认没有生成对象)
  params: API.getDetail8Params,
  options?: { [key: string]: any }
) {
  return request<API.RBaseDictItemResultVO>(`/base/baseDictItem/detail`, {
    method: 'GET',
    params: {
      ...params
    },
    ...(options || {})
  })
}

/** 根据Id批量查询 根据Id批量查询 POST /baseDictItem/findByIds */
export async function findByIds8(body: number[], options?: { [key: string]: any }) {
  return request<API.RListBaseDictItemResultVO>(`/base/baseDictItem/findByIds`, {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json'
    },
    data: body,
    ...(options || {})
  })
}

/** 分页列表查询 POST /baseDictItem/page */
export async function page8(
  body: API.PageParamsBaseDictItemPageQuery,
  options?: { [key: string]: any }
) {
  return request<API.RIPageBaseDictItemResultVO>(`/base/baseDictItem/page`, {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json'
    },
    data: body,
    ...(options || {})
  })
}

/** 批量查询 批量查询 POST /baseDictItem/query */
export async function query8(body: API.BaseDictItemPageQuery, options?: { [key: string]: any }) {
  return request<API.RListBaseDictItemResultVO>(`/base/baseDictItem/query`, {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json'
    },
    data: body,
    ...(options || {})
  })
}
